### Method

# Gdk Device get_vendor_id

#### Declaration [src]

    const char*
    gdk_device_get_vendor_id (
      GdkDevice* device
    )

#### Description [src]

Returns the vendor ID of this device.

This ID is retrieved from the device, and does not change.

This function, together with `gdk_device_get_product_id()`, can be used to eg. compose `GSettings` paths to store settings for this device.

     static GSettings *
     get_device_settings (GdkDevice *device)
     {
       const char *vendor, *product;
       GSettings *settings;
       GdkDevice *device;
       char *path;

       vendor = gdk_device_get_vendor_id (device);
       product = gdk_device_get_product_id (device);

       path = g_strdup_printf ("/org/example/app/devices/%s:%s/", vendor, product);
       settings = g_settings_new_with_path (DEVICE_SCHEMA, path);
       g_free (path);

       return settings;
     }

Gets property | `Gdk.Device:vendor-id`

#### Return value

Type: `const char*`

The vendor ID.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.